# Property

## Property Overview ##
The Property Cloud API returns information about a given parcel of property, including: assessed value; last sale price; current mortgage; physical dimensions of land; and square footage. The level of detail may vary according to location.

The Property service can be used to:
- Look up U.S. properties by address, county FIPS (Federal Information Processing Standards) and APN (Assessor's Parcel Number), or Melissa Address Key (MAK)
- Find the owner's name, address, and value of the home
- Learn about the various properties and characteristics of a property such as size, rooms, number of buildings, amenities, improvements, etc.
- Search through historical deeds for a home to see past buyers and sales
- Find other properties owned by a homeowner

**Documentation**
- [Property Documentation](https://docs.melissa.com/cloud-api/property/property-index.html)

**Useful Resources**
- [GitHub - Property Open API Specification](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/property.yaml)
- [Release notes](https://releasenotes.melissa.com/cloud-api/property/)
- [Result codes](https://docs.melissa.com/cloud-api/property/result-codes.html)

**Product Page**

[https://www.melissa.com/property-data](https://www.melissa.com/property-data)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

```
https://property.melissadata.net/v4/WEB
```

## Download OpenAPI description

[Property](https://developer.melissa.com/_bundle/apis/property.yaml)

## Lookup Deeds

Use Lookup Deeds endpoint to get information on deeds and/or transactions.

### Lookup deeds for a property

 - [GET /LookupDeeds](https://developer.melissa.com/apis/property/lookup-deeds/lookupdeedsget.md): The LookupDeeds endpoint returns an array of deeds and/or transactions from the recorder table when given the Property MAK or the FIPs and APN.

The service requires at least one of the following input combinations:

Set A - fips, apn

Set B - mak

Set C - ff

### Lookup deeds for properties

 - [POST /LookupDeeds](https://developer.melissa.com/apis/property/lookup-deeds/lookupdeedspost.md): Submit a batch request to receive an array of deeds and/or transactions from the recorder table when given the Property MAK or the FIPs and APN.

The following are the possible minimum input requirements:
- FIPS and APN
- PropertyMAK
- FreeForm

## Lookup Homes by Owner

Use Lookup Homes by Owner endpoint to get information on homes owned by homeowners.

### Lookup homes owned by a homeowner

 - [GET /LookupHomesByOwner](https://developer.melissa.com/apis/property/lookup-homes-by-owner/lookuphomesbyownerget.md): The LookupHomesByOwner endpoint returns an array of homes owned by a homeowner based on their address (MAK).

The service requires at least one of the following input combinations:

Set A - mak

Set B - ff

### Lookup homes owned by homeowners

 - [POST /LookupHomesByOwner](https://developer.melissa.com/apis/property/lookup-homes-by-owner/lookuphomesbyownerpost.md): Submit a batch request to receive an array of homes owned by a homeowner based on their address (MAK).

The following are the possible minimum input requirements:
- OwnerMAK
- FreeForm

## Lookup Property

Use Lookup Property endpoint to get general information regarding properties.

### Lookup information on a property

 - [GET /LookupProperty](https://developer.melissa.com/apis/property/lookup-property/lookuppropertyget.md): The LookupProperty endpoint returns general information regarding a property.

The service requires at least one of the following input combinations:

Set A - addresskey

Set B - fips, apn

Set C - fips, account

Set D - mak

Set E - ff

Set F - a1, postal

Set G - a1, city, state

### Lookup information on properties

 - [POST /LookupProperty](https://developer.melissa.com/apis/property/lookup-property/lookuppropertypost.md): Submit a batch request to receive general information regarding a property.

The following are the possible minimum input requirements:
- AddressKey
- FIPS and APN
- FIPS and Account
- MAK
- FreeForm
- AddressLine1 with either PostalCode, or City and State

